#ifndef BALL_H_INCLUDED
#define BALL_H_INCLUDED

#include "Entity.h"
#include "Mesh.h"

class Ball : public PhysicalEntity
{
public:
	Ball(LPDIRECT3DDEVICE9 CreationDevice, float Radius, int Slices, int Stacks, DWORD Color);
	Ball();
	~Ball();

	D3DXVECTOR3 GetGroundContactPoint();
	void GetMeshes(Mesh** MeshArray);
	int GetMeshCount();
	unsigned int GetAction(float TimeStep, Msg** SentMsgs);
	unsigned int SendMsg(Msg* RecievedMsg, Msg** SentMsgs);

private:
	Mesh* BallMesh;
	float Radius;

	int CollisionCount;

};

#endif